// packageE/others/case_library/subject_list/caseLibrarySubjectList.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    page: 1, //当前页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.initData();
    this.getList();
  },
  initData() {
    this.setData({
      list: [],
      page: 1
    });
  },
  getList() {
    var that = this;
    let urlStr = app.getNetAddresss('plugin.case-library.api.mobile.home.special-list');
    app._postNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.data.list = [];
          that.setData({
            list: res.data.special.data,
            current_page: res.data.special.current_page,
            last_page: res.data.special.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getMoreData(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.case-library.api.mobile.home.special-list');
    app._postNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          var nextPageData = res.data.special.data;
          that.setData({
            list: that.data.list.concat(nextPageData),
            current_page: res.data.special.current_page,
            last_page: res.data.special.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page:pages
      });
      this.getMoreData();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});